#16 AppSet chooses default on selection of different providers

open
nobody
None
1
2011-12-14
2011-12-14
No

Try for example to install libreoffice-common with pacman.
It will ask you, which provider you want to choose to satisfy the dependency of libreoffice-langpack. You can choose from a very long numbered list of language packs, with default value 1 (Afrikaans). Here you can choose your favourite language.

When installing libreoffice-common with AppSet, it simply sets the Afrikaans-language pack as dependency, without asking or noticing the user.

Discussion

  • Manuel Bärenz

    Manuel Bärenz - 2011-12-14

    I think that this is just an unexpected default setting. In the advanced settings, it is possible to make AppSet ask the user for every question the backend asks.
    However, I don't want to be asked every time I install something from the AUR if I want to edit PKGBUILD. I want to be asked if there is a real decision to be made, like choosing between different providers.
    Therefore, there should be a more fine-grained selection on which questions the user should be asked.

     
  • Manuel Bärenz

    Manuel Bärenz - 2011-12-14
    • priority: 5 --> 1
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks